MDL-40990 mod_quiz: Changing upgrade process according to version
authorDavid Monllao <davidm@moodle.com>
Wed, 18 Mar 2015 00:34:48 +0000 (08:34 +0800)
committerDavid Monllao <davidm@moodle.com>
Wed, 18 Mar 2015 00:34:48 +0000 (08:34 +0800)
mod/quiz/db/upgrade.php

index 0318ea0..acbdbf0 100644 (file)
@@ -807,7 +807,7 @@ function xmldb_quiz_upgrade($oldversion) {
     // Moodle v2.8.0 release upgrade line.
     // Put any upgrade step following this.
 
-    if ($oldversion < 2015022600) {
+    if ($oldversion < 2015030500) {
         // Define field requireprevious to be added to quiz_slots.
         $table = new xmldb_table('quiz_slots');
         $field = new xmldb_field('requireprevious', XMLDB_TYPE_INTEGER, '4', null, XMLDB_NOTNULL, null, 0, 'page');
@@ -818,7 +818,7 @@ function xmldb_quiz_upgrade($oldversion) {
         }
 
         // Quiz savepoint reached.
-        upgrade_mod_savepoint(true, 2015022600, 'quiz');
+        upgrade_mod_savepoint(true, 2015030500, 'quiz');
     }
 
     return true;